Loading...
Searching...
No Matches
Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T > Class Template Reference
Inheritance diagram for Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >:
[legend]
Collaboration diagram for Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >:
[legend]

## Public Member Functions

constexpr | ExceptionTranslator (std::string(*translateFunction)(T const &))
std::string | translate (ExceptionTranslators::const_iterator it, ExceptionTranslators::const_iterator itEnd) const override
Public Member Functions inherited from Catch::IExceptionTranslator
virtual | ~IExceptionTranslator ()

## Protected Attributes

std::string(* | m_translateFunction )(T const &)

## Constructor & Destructor Documentation

## ExceptionTranslator()

template<typename T>

Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >::ExceptionTranslator | ( | std::string(* | translateFunction )(T const &) | ) |

inlineconstexpr

## Member Function Documentation

## translate()

template<typename T>

std::string Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >::translate | ( | ExceptionTranslators::const_iterator | it,
|  | ExceptionTranslators::const_iterator | itEnd ) const

inlineoverridevirtual

Implements Catch::IExceptionTranslator.

## Member Data Documentation

## m_translateFunction

template<typename T>

std::string(* Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >::m_translateFunction) (T const &)

protected

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp